// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface EventValueOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.EventValue)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the identifiedObject field is set.
   */
  boolean hasIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return The identifiedObject.
   */
  openfmb.commonmodule.IdentifiedObject getIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.IdentifiedObjectOrBuilder getIdentifiedObjectOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.BoolValue modBlk = 2;</code>
   * @return Whether the modBlk field is set.
   */
  boolean hasModBlk();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.BoolValue modBlk = 2;</code>
   * @return The modBlk.
   */
  com.google.protobuf.BoolValue getModBlk();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.BoolValue modBlk = 2;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getModBlkOrBuilder();
}
